#ifndef GLTEST_ISNDSOURCE_H
#define GLTEST_ISNDSOURCE_H

#include <cstddef>

struct ISndSource {
	virtual int getChannelCount() const = 0;
	virtual int getSampleRate() const = 0;
	virtual std::size_t getSampleDepth() const = 0;
	virtual void readData(unsigned long frameCount, void* output) const = 0;
	virtual ~ISndSource() {}
};

#endif //GLTEST_ISNDSOURCE_H
